import { makeStyles } from '@material-ui/core'
import ToolBar from './ToolBar'
import ProfilePicture from './ProfilePicture'
import ProfileMenu from './ProfileMenu'
import ProfileLists from './ProfileLists'

const useStyles = makeStyles({
  container: {
    backgroundColor: '#ffffff',
    height: '100%',
    width:'100%',
    position:'relative'
  },
  scrollContainer: {
    overflowY: 'scroll',
    maxHeight: '93vh',
    width:'100%',
  },
})

const CredentialsList = () => {
  const classes = useStyles()
    return (
    <div className={classes.container}>
      <ToolBar />
      <div className={classes.scrollContainer}>
        <ProfilePicture />
        <ProfileMenu />
        <ProfileLists />
      </div>
    </div>
  )
}

export default CredentialsList